<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.vehicleDocumentRequirement.home.title">vehicleDocumentRequirement</span>
            </h5>
            <p-dataTable
                [value]="vehicleDocumentRequirements"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['vehicle-document-requirement-popup-new'] } }]">
                        </button>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.note'|translate}}" field="note" [editable]="true">
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.bbn'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.bbn | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.bbn"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.otherCost'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.otherCost | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.otherCost"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.sur'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.surId">
                            <a [routerLink]="['../sales-unit-requirement', rowData.surId  ]" >{{rowData.surId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'vehicle-document-requirement/'+ rowData.idRequirement + '/popup-edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'vehicle-document-requirement/'+ rowData.idRequirement + '/delete'} }]"
                                replaceUrl="true"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
